@font-face {
    font-family: "Fredoka";
    src: url("../fonts/Fredoka-VariableFont_wdth,wght.woff2") format("woff2");
}
*,*::before *::after{
    box-sizing: border-box;
}
:root{
    font-family: Fredoka, sans-serif;
    line-height: 1.6rem;
    scroll-behavior: smooth;
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
}
body{
    margin: 0;
    background-color: var(--bg);
    color: var(--primary);
}
.container{
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}
header{
    background-color: var(--primary);
    color: var(--bg);
}
nav ul{
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin-inline-start: -2rem;
}
nav a{
    padding-block: 1rem;
    padding-inline: 2rem;
    display: block;
    color: inherit;
    text-decoration: none;
}
.row{
    display: flex;
    gap: 2rem;

    > div{
        border: 1px dashed oklch(0.25 0.01 325);
        padding: 1rem;
        flex-grow: 1;

        &:first-child {
            flex-grow: 2;
        }
    }

}
.visually-hidden:not(:focus):not(:active){
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}
main{
    nav{
        --text: oklch(0.99 0.003 325);
        --Bg: oklch(11.45 11.32 40);
    }
    nav a{
        color: var(--text);
        background-color: var(--Bg);
        transition: color .2s ease-in-out, background-color;
        &:hover,
        &:focus-visible{
            outline: 4px;
            font-size: 1.2rem;
            background-color: oklch(0.4 0.164 29.234);
        }
    }
    nav li:first-child{
        margin-inline-end: auto;
    }
    nav li:first-child a{
        background-color: var(--text);
        color: oklch(0 0 0);
    }
}
.cards{
    display: flex;
    gap: 2rem;
    margin: 0;
    padding: 0;
    list-style: none;
}
.card{
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 8px 0 oklch(0 0 0);
    overflow: hidden;
    border-radius: 1rem;
     > img{
        order: -1;
    }
}
.card img:hover{
    filter: hue-rotate(270deg) saturate(150%);
    transform: scale(1.05);
    transition: delay;
    mix-blend-mode: luminosity;
}
.overlay-link{
    clip: rect(0 0 0 0);
    overflow: hidden;
    position: absolute;
}

